Subject: Re: [AVT] Payload Type for MPEG-4

From: [email-masked]
Date: Tue, 19 Feb 2002 08:43:03 +0100

There is no fixed payload type number for MPEG-4 video.

You should use a payload type chosen in the dynamic ra  nge i.e.
your SDP looks like:

m=video 1034 RTP/AVP 97
a=rtpmap:97 mpeg4-generic
a=fmtp:97 StreamType=4

see 
draft-ietf-avt-mpeg4-multiSL-03.txt
for details

Regards,

Philippe Gentric
Software Architect
Philips MP4Net
[email-masked]
http://www.mpeg-4.philips.com

Dunman Teo <[email-masked]>
Sent by: [email-masked]
02/19/2002 08:11

        To:     [email-masked]
        cc:     (bcc: Philippe Gentric/LIM/CE/PHILIPS)
        Subject:        [AVT] Payload Type for MPEG-4
        Classification: 

Hi all, 

I am a newbie to RTP hence I hope I am not asking too much stupid 
questions.
:p

Can anyone help me by telling me the value of the Payload Type field in 
the
RTP header for MPEG-4 Video? I know there is one for MPEG-2 video but 
there
does not seem to be one for MPEG-4. I also read somewhere on the internet 
that
it depends on the features of MPEG-4 that we use. Is that correct? If that 
is
the case, is there a document on the complete list of Payload Types? 

Thank you!

Regards,
Dunman

____________________________________________________________________
Get free e-mail and a permanent address at http://www.amexmail.com/?A=1

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt